%define upstream_name    HTTP-CookieJar
%define upstream_version 0.014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    LWP adapter for HTTP::CookieJar
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Time::Local) >= 1.190.100
BuildRequires: perl(URI)
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module implements a minimalist HTTP user agent cookie jar in
conformance with http://tools.ietf.org/html/rfc6265.

Unlike the commonly used the HTTP::Cookies manpage module, this module does
not require use of the HTTP::Request manpage and the HTTP::Response manpage
objects. An LWP-compatible adapter is available as the HTTP::CookieJar::LWP
manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.14.0-2.mga10
+ Revision: 2214842
- Mageia 10 Mass Rebuild

* Tue Jul 26 2022 tv <tv> 0.14.0-1.mga9
+ Revision: 1872023
- update to 0.014

* Mon Mar 28 2022 umeabot <umeabot> 0.12.0-2.mga9
+ Revision: 1830475
- Mageia 9 Mass Rebuild

* Fri Jun 18 2021 tv <tv> 0.12.0-1.mga9
+ Revision: 1731083
- update to 0.012

* Mon Sep 21 2020 tv <tv> 0.10.0-1.mga8
+ Revision: 1629018
- update to 0.010

* Wed Feb 12 2020 umeabot <umeabot> 0.8.0-3.mga8
+ Revision: 1504676
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.8.0-2.mga7
+ Revision: 1283987
- Mageia 7 Mass Rebuild

* Sat Jun 16 2018 shlomif <shlomif> 0.8.0-1.mga7
+ Revision: 1237215
- imported package perl-HTTP-CookieJar


* Sat Jun 16 2018 cpan2dist 0.008-1mga
- initial mageia release, generated with cpan2dist
